Are you logged in as an admin? The plugin does work in 2.8.6..